<script setup lang="ts">
import Intervention from '../../../types/intervention';

definePageMeta({
  middleware: "authentication",
});

const { baseURL }: { baseURL: string } = useRuntimeConfig().app;
const { id } = useRoute().params;
const patchAuthorizationHeader = useAuthorizationHeader(
  "application/merge-patch+json"
);

async function changeStatus(id: number) {
  try {
    const response = await $fetch<Intervention>(`${baseURL}api/interventions/${id}`, {
      method: "PATCH",
      headers: patchAuthorizationHeader,
      body: JSON.stringify({
        status: `/status/in-progress`,
      }),
    });
    window.location.href = `/interventions/${id}/encours`;
    // Traiter la réponse si nécessaire
  } catch (error) {
    console.error(error);
  }
}
</script>

<template>
  <SubHeader>
    <h1 class="fr-p-4v">Intervention - #{{ id }}</h1>
  </SubHeader>
  <section class="fr-grid-row fr-grid-row--center fr-p-7v waiting">
    <p class="fr-pb-2w">Cette intervention est mise en attente.</p>
    <button class="fr-btn" @click.prevent="changeStatus(id)">
      Reprendre l’intervention
    </button>
  </section>
  <InterventionDetails>
    <section slot="carte">
      <Accordeon />
    </section>
  </InterventionDetails>
</template>
<style scoped>
.waiting {
  background-color: var(--background-alt-blue-france);
}
</style>
